Bug 100096 - Ability to apply breakpoint hit condition
Ability to apply breakpoint hit condition
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Debugger
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-05 13:19 UTC by Martin Krauskopf
Modified: 2008-05-15 12:59 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2007-04-05 13:19:54 UTC
Kent has just added this functionality to the ruby-debug-base (0.9.2).
Comment 1 Jiri Kovalsky 2007-07-03 14:10:36 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 2 richo 2008-02-08 00:08:05 UTC
I would like to be able to set a breakpoint and then set
a property on that breakpoint to only break on certain conditions (any
statement written as ruby and using anything in scope at the point of
breaking). 

Also a breakpoint that doesn't break but writes a log entry
(to a custom window or file or anything), the log entry should be
constructed as a ruby statement having all items in scope at the
breakpoint available to it.

Other breakpoint features I have used before (in other IDEs) but not
as important are
A) only break after x number of passes.
B) Put breakpoints into groups. Then have another breakpoint be able
to enable or disable the groups. This allows for breakpoints in
commonly called routines to only be active once a certain other
breakpoint has been hit.
Comment 3 Martin Krauskopf 2008-02-14 12:12:58 UTC
After evaluation, postponing this after 6.1, when I want to do overhaul in the debug-commons project and to catch up at
least a little bit furiously evolving ruby-debug project.
I've at least did some preparation works (trivial customizer in editor stripe and breakpoint nodes).
To much works in other area which has higher priority into 6.1, sorry.
Comment 4 Martin Krauskopf 2008-05-13 18:23:29 UTC
Working on it in backends. Will be available with next version of ruby-debug-ide and new JRuby fast debugger. I'm
planning to release both of those shortly after JRuby 1.1.2 which should be released likely around end of May.
Might be I'll integrate sooner for those playing with trunk versions.... started.
Comment 5 Martin Krauskopf 2008-05-14 15:50:06 UTC
Setting condition is now possible (see below). Leaving this open for now, since this RFE contains more ideas. I'll
either fix them as part of this issue or file few smaller ones.

Commits: 3bfdd4790520, f96b1bf65f52

Commit log:
Supports for setting condition (expression returning boolean) on breakpoints
- one part of #100096
- in the meantime this only work with trunk versions
  - ruby-debug-ide 0.1.11
  - JRuby 1.1.2 if using JRuby 
Comment 6 Martin Krauskopf 2008-05-14 15:51:25 UTC
Also note you need trunk versions now, so it's not that easy to set up. Will be out-of-the box once ruby-debug-ide is
out and also JRuby 1.1.2 if JRuby is used.
Comment 7 Quality Engineering 2008-05-15 04:43:24 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #196 build
Changeset: http://hg.netbeans.org/main/rev/3bfdd4790520
User: Martin Krauskopf <mkrauskopf@netbeans.org>
Log: Supports for setting condition (expression returning boolean) on breakpoints
- one part of #100096
- in the meantime this only work with trunk versions
  - ruby-debug-ide 0.1.11
  - JRuby 1.1.2 if using JRuby
Comment 8 Martin Krauskopf 2008-05-15 12:59:36 UTC
I've filed other RFE separately for better tracking: issues 135138, 135139, 135140

richo I've CCed you automatically there since you came with those ideas.

I believe that setting expression condition is the most useful case which is implemented in trunk. Marking this one fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo